function remote_init()
	local items={
		{name="Keyboard", input="keyboard"},
		{name="Mod Wheel", input="value", min=0, max=127},
		{name="Pitch Bend", input="value", min=0, max=16384},
		{name="Sustain", input="value", min=0, max=127},
		{name="Volume", input="value", min=0, max=127},

		{name="Knob 1", input="value", min=0, max=127},
		{name="Knob 2", input="value", min=0, max=127},
		{name="Knob 3", input="value", min=0, max=127},
		{name="Knob 4", input="value", min=0, max=127},

		{name="Stop", input="button"},
		{name="Play", input="button"},
		{name="Record", input="button"},

	}
	remote.define_items(items)

	local inputs={

		{pattern="b0 15 xx", name="Knob 1"},
		{pattern="b0 16 xx", name="Knob 2"},
		{pattern="b0 17 xx", name="Knob 3"},
		{pattern="b0 0A xx", name="Knob 4"},
	
		{pattern="e? xx yy", name="Pitch Bend", value="y*128 + x"},
		{pattern="b0 01 xx", name="Mod Wheel"},
		{pattern="b0 40 xx", name="Sustain"},
		{pattern="b0 07 xx", name="Volume"},

		{pattern="80 xx yy", name="Keyboard", value="0", note="x", velocity="64"},
		
		{pattern="90 xx 00", name="Keyboard", value="0", note="x", velocity="64"},
		{pattern="<100x>0 yy zz", name="Keyboard"},

		{pattern="F0 7F 7F 06 01 F7", name="Stop", value="1"},
		{pattern="F0 7F 7F 06 02 F7", name="Play", value="1"},
		{pattern="F0 7F 7F 06 06 F7", name="Record", value="1"},

	}
	remote.define_auto_inputs(inputs)
end


--function remote_probe()

--	local controlRequest="F0 7E 7F 06 01 F7"

--	local controlResponse="F0 7E 00 06 02 47 72 00 19 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F7"
--return {
--		request=controlRequest,
--		response=controlResponse
--	}
--end

